/** Cards **/

/* 1 columna o 1 card por fila (para movil)*/
.listado-grid {
    margin-top: 4rem;
    display: grid;
    gap: 2rem;
}

/* 2 columnas o 2 Card por fila (para tablet)*/
@media (min-width:768px) {
    .listado-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}
/* 3 columnas o 3 Card por fila (para escritorio)*/
@media (min-width:1024px) {
    .listado-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Card general */
.card {
    background: var(--blanco);
    overflow: hidden;
    border-radius: 1rem;
    box-shadow: 0 4px 15px rgba(0,0,0,0.15);
    position: relative;
}

/* Imagen */
.card img {
    width: 100%;
    height: 40rem;
    object-fit: cover;
    transition: transform 300ms ease;
}

.card:hover img {
    transform: scale(1.1);
}

/* Categorías: se mantienen sobre la imagen */
.card .post-categories {
    position: absolute;
    top: 2rem;
    left: 2rem;
    display: flex;
    gap: 1rem;
    z-index: 10;
}

.card .post-categories li {
    background-color: var(--negro);
    padding: .5rem 1rem;
    border-radius: .5rem;
}

.card .post-categories a {
    color: var(--primario);
    font-size: 1.4rem;
    font-weight: 700;
    text-transform: uppercase;
}

/* Contenido debajo de la imagen */
.card .contenido {
    position: relative;
    padding: 2rem;
    background: var(--primario);
    color: var(--negro);
}

/* Título debajo de la imagen */
.card .contenido h3 {
    margin: 1rem 0;
    color: var(--negro);
    font-size: 1.85rem; /* TAMAÑO intermedio */
    font-weight: 700;
}

/* Texto descriptivo */
.card .contenido p,
.card .contenido .meta {
    line-height: 1.00; 
}
/* Meta */
.card .contenido .meta {
    font-size: 1.25rem; /* intermedio */
    font-weight: 600;
}

.card .contenido .meta a {
    color: var(--negro);
}

.card .meta span {
    color: var(--primario-oscuro, #d4a056);
}
